<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>

<html:html>
<head>
<title>名簿　従業員一覧</title>
</head>

<body bgcolor="white">

<center>

<div id="empsearchpanel">
<h2>従業員一覧</h2>

<bean:size id="empcount" name="searchForm" property="employeeList" />
<logic:notEqual name="empcount" value="0" >

従業員一覧<br>
<br>
  <table id="emptable" border="2">
  	<thead>
    <tr class="emp_list_head" bgcolor="gray"> 
      <th class="emp_list_head_id">従業員ID</th>
      <th class="emp_list_head_name">名前</th>
      <th class="emp_list_head_dept">所属組織</th>
      <th class="emp_list_head_gen">性別</th>
      <th class="emp_list_head_dept">論理削除フラグ</th>
    </tr>
    </thead>
    <tbody>
	<logic:iterate id="searchresult" name="searchForm" property="employeeList" indexId="idx">
    <tr>    
      <td class="emp_list_content">
        <html:link page="/getEmployee.do" paramId="editEmpId" paramName="searchresult" paramProperty="employeeId">
			<bean:write name="searchresult" property="employeeId"/>
		</html:link>
      </td>
      <td class="emp_list_content">
		<bean:write name="searchresult" property="employeeName"/>
      </td>
      <td class="emp_list_content">
		<bean:write name="searchresult" property="department.departmentName"/>
      </td>
      <td class="emp_list_content">
		<bean:write name="searchresult" property="gender"/>
      </td>
      <td class="emp_list_content">
		<logic:equal name="searchresult" property="isInvalid" value="true">
			ON
		</logic:equal>
		<logic:equal name="searchresult" property="isInvalid" value="false">
			OFF
		</logic:equal>
      </td>
	</tr>
	</logic:iterate>
	</tbody>
  </table>
</logic:notEqual>

<logic:equal name="empcount" value="0" >
従業員情報無し<br>
</logic:equal>

</div>
<br>
<br>
<hr>
<div id="registpanel">
<html:form action="/registscr">
<html:submit styleId="registbtn" value="新規登録"></html:submit>
</html:form>
</div>
<hr>
<div id="downloadpanel">
<html:form action="/download">
<html:submit styleId="downloadbtn" value="従業員情報ダウンロード"></html:submit>
</html:form>
</div>
<hr>
<div id="initpanel">
<html:form action="/initEmployee">
<html:submit styleId="initEmployeebtn" value="従業員情報初期化"></html:submit>
</html:form>
</div>

</body>
</html:html>
