package action;

import java.sql.SQLException;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import logic.EmployeeManager;

import org.apache.log4j.Logger;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import entity.Department;
import form.MainForm;

/**
 * 組織登録処理
 * 
 * @author USER
 * 
 */
public class RegistDepartmentAction extends Action {

    /** Logger */
    private static Logger log = Logger.getLogger(RegistDepartmentAction.class);

    public ActionForward execute(ActionMapping map, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws SQLException,
            ClassNotFoundException {

        log.info("RegistScrAction In..");

        List<Department> departmentList = EmployeeManager.getDepartmentList();
        ((MainForm) form).setDepartmentList(departmentList);

        return (map.findForward("success"));
    }

}
